Bug 845656 - SELinux is preventing /usr/sbin/sanlock from using the 'kill' capabilities.
SELinux is preventing /usr/sbin/sanlock from using the 'kill' capabilities.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:b6589e0c964e889ef92a4d13c1f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 14:42 EDT by Jason Brooks
Modified: 2012-08-10 18:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-10 18:35:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Brooks 2012-08-03 14:42:57 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.6-2.fc17.x86_64
time:           Fri 03 Aug 2012 11:42:30 AM PDT

description:
:SELinux is preventing /usr/sbin/sanlock from using the 'kill' capabilities.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that sanlock should have the kill capability by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep sanlock /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:sanlock_t:s0-s0:c0.c1023
:Target Context                system_u:system_r:sanlock_t:s0-s0:c0.c1023
:Target Objects                 [ capability ]
:Source                        sanlock
:Source Path                   /usr/sbin/sanlock
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           sanlock-2.3-3.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-142.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.6-2.fc17.x86_64 #1
:                              SMP Thu Jul 19 22:54:16 UTC 2012 x86_64 x86_64
:Alert Count                   15
:First Seen                    Sun 29 Jul 2012 10:00:45 AM PDT
:Last Seen                     Fri 03 Aug 2012 11:41:18 AM PDT
:Local ID                      50f5e1cf-4116-481b-ae0e-5536013eb2db
:
:Raw Audit Messages
:type=AVC msg=audit(1344019278.51:249): avc:  denied  { kill } for  pid=2279 comm="sanlock" capability=5  scontext=system_u:system_r:sanlock_t:s0-s0:c0.c1023 tcontext=system_u:system_r:sanlock_t:s0-s0:c0.c1023 tclass=capability
:
:
:type=SYSCALL msg=audit(1344019278.51:249): arch=x86_64 syscall=kill success=no exit=EPERM a0=2c68 a1=9 a2=7f989e494158 a3=1 items=0 ppid=1 pid=2279 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=sanlock exe=/usr/sbin/sanlock subj=system_u:system_r:sanlock_t:s0-s0:c0.c1023 key=(null)
:
:Hash: sanlock,sanlock_t,sanlock_t,capability,kill
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-08-07 04:56:30 EDT
Fixed in selinux-policy-3.10.0-145.fc17.noarch
Comment 2 Fedora Update System 2012-08-08 07:22:45 EDT
selinux-policy-3.10.0-145.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-145.fc17
Comment 3 Justin Clift 2012-08-09 19:04:48 EDT
Thanks, that seems to fix the sanlock daemon problems here, allowing VM's in oVirt 3.1 to be started.
Comment 4 Fedora Update System 2012-08-09 19:05:53 EDT
Package selinux-policy-3.10.0-145.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-145.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11591/selinux-policy-3.10.0-145.fc17
then log in and leave karma (feedback).
Comment 5 Miroslav Grepl 2012-08-10 01:53:04 EDT
Could you update karma, thank you.
Comment 6 Fedora Update System 2012-08-10 18:35:55 EDT
selinux-policy-3.10.0-145.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.